Name:           perl-Alien-LibGumbo
Version:        0.05
Release:        2%{?dist}
Summary:        Gumbo parser library
License:        GPL+ or Artistic
URL:            https://metacpan.org/dist/Alien-LibGumbo
Source0:        https://cpan.metacpan.org/authors/id/R/RU/RUZ/Alien-LibGumbo-%{version}.tar.gz

BuildRequires:  perl-generators
BuildRequires:  perl-interpreter >= 0:5.010

BuildRequires:  perl(Alien::Base) >= 0.005
BuildRequires:  perl(Alien::Base::ModuleBuild)
BuildRequires:  perl(File::ShareDir) >= 1.03
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Path::Class) >= 0.013

BuildRequires:  perl(parent)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

BuildRequires:  gumbo-parser-devel

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# Pull in %%{_libdir}/libgumbo.so.?
Requires:       gumbo-parser%{?_isa}

# This is an architecture-dependent package because it stores data about
# architecture-specific library, but it has no XS code, hence no debuginfo.
%global debug_package %%{nil}


%description
This distribution installs libgumbo:https://github.com/google/gumbo-parser
on your system for use by perl modules like HTML::Gumbo.

%prep
%setup -q -n Alien-LibGumbo-%{version}
# Remove bundled gumbo tarball
rm -f gumbo-0.10.1.tar.gz
sed -i -e '/gumbo-0.10.1.tar.*/d' MANIFEST

%build
%{__perl} Build.PL --installdirs=vendor --install_path lib=%{perl_vendorarch}
./Build

%install

./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*


%check
./Build test

%files
%doc Changes
%{perl_vendorarch}/*
%{_mandir}/man3/*

%changelog
* Mon Jan 10 2022 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.05-2
- Various changes.

* Fri Oct 22 2021 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.05-1
- Initial Fedora package.
